  <p class="title">
  <%if @name.nil?%>
    Latest system events</p>
  <%else%>  
    Latest events for <i><%=@name%></i>
  <%end%></p>
<table class="grid">
      <th>Time</th>
        <th>User</th>
        <th>Action</th>
        <th>File/Folder</th>
      </th>
  
  <% for usage in @usages %>
    <% cyc = cycle('even', 'odd') %>    
    <tr class="<%=cyc%>">
        <td valign=top><%= usage.download_date_time.to_formatted_s(:short)%></td>
        <td valign=top><%= usage.user.name if usage.user %></td>
        <td valign=top><%=usage.action%></td>
        <td valign=top>
        <%if !usage.myfile.nil? && !usage.myfile.folder.nil? %>
          <%= path(usage.myfile.folder, :link_to_self)%>/<%=link_to h(usage.myfile.filename), :controller => 'file', :action => 'download', :id => usage.myfile.id %>
        <%elsif !usage.folder.nil?%>
          <%=path(usage.folder,true)%>
        <%else%>
          <%=usage.filename%>
        
        <%end%>
<%unless usage.comment.nil?%><br><i><%=usage.comment %></i><%end%>
</td>
    </tr>
<% end %>
</table>
<%= link_to 'Previous page', { :page => @pages.current.previous } if @pages.current.previous %>
<%= link_to 'Next page', { :page => @pages.current.next } if @pages.current.next %>
